From ae37e3aeb51ca494be3c0b0041da1ee4407097e3 Mon Sep 17 00:00:00 2001
From: Paulo Alcantara <paalcant@redhat.com>
Date: Wed, 19 Feb 2025 11:32:27 -0300
Subject: [PATCH] resolves: rhbz#2345614 - Update to cifs-utils-7.2

---
 .gitignore                    |  1 +
 cifs-utils.spec               |  6 ++---
 smbinfo-bash-completion.patch | 47 -----------------------------------
 sources                       |  2 +-
 4 files changed, 4 insertions(+), 52 deletions(-)
 delete mode 100644 smbinfo-bash-completion.patch

diff --git a/.gitignore b/.gitignore
index e90eddb3e5a0..9a1f2bdc6553 100644
--- a/.gitignore
+++ b/.gitignore
@@ -30,3 +30,4 @@ cifs-utils-4.6.tar.bz2
 /cifs-utils-6.15.tar.bz2
 /cifs-utils-7.0.tar.bz2
 /cifs-utils-7.1.tar.bz2
+/cifs-utils-7.2.tar.bz2
diff --git a/cifs-utils.spec b/cifs-utils.spec
index 7328d75b5d2b..484f03583575 100644
--- a/cifs-utils.spec
+++ b/cifs-utils.spec
@@ -4,7 +4,7 @@
 %global bash_completion_dir %(pkg-config --variable=completionsdir bash-completion || echo /etc/bash_completion.d)
 
 Name:            cifs-utils
-Version:         7.1
+Version:         7.2
 Release:         %autorelease
 Summary:         Utilities for mounting and managing CIFS mounts
 
@@ -24,8 +24,6 @@ Recommends: %{name}-info%{?_isa} = %{version}-%{release}
 
 Source0:         https://download.samba.org/pub/linux-cifs/cifs-utils/%{name}-%{version}.tar.bz2
 
-Patch0: smbinfo-bash-completion.patch
-
 %description
 The SMB/CIFS protocol is a standard file sharing protocol widely deployed
 on Microsoft Windows machines. This package contains tools for mounting
@@ -56,7 +54,7 @@ for each user from somewhere. The pam_cifscreds module can be used to
 provide these credentials to the kernel automatically at login.
 
 %prep
-%autosetup -n %{name}-%{version}%{pre_release} -p1
+%autosetup -n %{name}-%{version}%{pre_release}
 
 %build
 grep -F -r -l '/usr/bin/env python' | xargs --no-run-if-empty -n1 sed -i 's@/usr/bin/env python.*@%python3@g'
diff --git a/smbinfo-bash-completion.patch b/smbinfo-bash-completion.patch
deleted file mode 100644
index 384efd8ae085..000000000000
--- a/smbinfo-bash-completion.patch
+++ /dev/null
@@ -1,47 +0,0 @@
-From d69d2129c6476afbcbbe8dc6e2ed17f233084d85 Mon Sep 17 00:00:00 2001
-From: =?UTF-8?q?Pavel=20Filipensk=C3=BD?= <pfilipensky@samba.org>
-Date: Mon, 7 Oct 2024 21:48:31 +0200
-Subject: [PATCH] smbinfo: add bash completion support for filestreaminfo,
- keys, gettconinfo
-MIME-Version: 1.0
-Content-Type: text/plain; charset=UTF-8
-Content-Transfer-Encoding: 8bit
-
-Signed-off-by: Pavel Filipenský <pfilipensky@samba.org>
----
- bash-completion/smbinfo | 9 ++++++---
- 1 file changed, 6 insertions(+), 3 deletions(-)
-
-diff --git a/bash-completion/smbinfo b/bash-completion/smbinfo
-index d56b581..ec0d8a4 100644
---- a/bash-completion/smbinfo
-+++ b/bash-completion/smbinfo
-@@ -15,19 +15,22 @@ smb_info()
- 	      filemodeinfo
- 	      filepositioninfo
- 	      filestandardinfo
-+	      filestreaminfo
- 	      fsctl-getobjid
- 	      getcompression
- 	      setcompression
- 	      list-snapshots
- 	      quota
--	      secdesc"
-+	      secdesc
-+	      keys
-+	      gettconinfo"
- 	case $prev in
- 		'-v'|'-h')
- 			return 0
- 			;;
- 		'fileaccessinfo'|'filealigninfo'|'fileallinfo'|'filebasicinfo'|'fileeainfo'|'filefsfullsizeinfo'|\
--		'fileinternalinfo'|'filemodeinfo'|'filepositioninfo'|'filestandardinfo'|'fsctl-getobjid'|\
--		'getcompression'|'setcompression'|'list-snapshots'|'quota'|'secdesc')
-+		'fileinternalinfo'|'filemodeinfo'|'filepositioninfo'|'filestandardinfo'|'filestreaminfo'|'fsctl-getobjid'|\
-+		'getcompression'|'setcompression'|'list-snapshots'|'quota'|'secdesc'|'keys'|'gettconinfo')
- 			local IFS=$'\n'
- 			compopt -o filenames
- 			COMPREPLY=( $(compgen -f -o dirnames -- ${cur:-""}) )
--- 
-2.46.1
-
diff --git a/sources b/sources
index a2bf2ac806e1..f1fc9fb32d89 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-SHA512 (cifs-utils-7.1.tar.bz2) = 9eda85b2767cd19c7f69843750450c3862596debf47f41d9ce07f3d7438225b700b260be9585d2f7c9962d3f4dd8434b1b647c9ba670962cf136ce7ad86f92ab
+SHA512 (cifs-utils-7.2.tar.bz2) = de1a3fb0c336814abec74d6af71890848625c75ab9642635ab292413d42560ea11ac19e48ef36c2db09d30da5b03d939dd612a6da60b270841b2c8bb2b1f8676
-- 
2.48.1

